MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
TagItem Struct Reference

One tag value. More...

`#include <TagItem.hxx>`

## Public Member Functions
| TagItem ()=default
| TagItem (const TagItem &other)=delete
TagItem & | operator= (const TagItem &other)=delete

## Data Fields
TagType | type
| the type of this item More...
char | value [1]
| the value of this tag; this is a variable length string More...

## Detailed Description

One tag value.

It is a mapping of TagType to am arbitrary string value. Each tag can have multiple items of one tag type (although few clients support that).

Definition at line 30 of file TagItem.hxx.

## Constructor & Destructor Documentation

TagItem::TagItem | ( |  | ) |
| default

TagItem::TagItem | ( | const TagItem & | other | ) |
| delete

## Member Function Documentation

TagItem& TagItem::operator= | ( | const TagItem & | other | ) |
| delete

## Field Documentation

TagType TagItem::type

the type of this item

Definition at line 32 of file TagItem.hxx.

char TagItem::value[1]

the value of this tag; this is a variable length string

Definition at line 37 of file TagItem.hxx.

The documentation for this struct was generated from the following file:

- tag/TagItem.hxx